Delete Messages
post
/management/weblogic/{version}/serverRuntime/SAFRuntime/agents/{name}/remoteEndpoints/{name}/deleteMessages
Deletes messages on the remote endpoint according to the specified JMS message selector. A null or empty selector deletes all messages.
Request
Supported Media Types
- application/json
Path Parameters
-
name(required): string
The name property of the instance in the collection.
-
version(required): string
The version of the WebLogic REST interface.
Header Parameters
-
X-Requested-By(required): string
The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Must contain the following fields:
Root Schema : Arguments
Type:
objectTitle:
Show Source
Arguments-
selector:
string
A valid JMS message selector.
Security
-
Admin: basic
Type:
basicDescription:A user in the Admin security role. -
Operator: basic
Type:
basicDescription:A user in the Operator security role.
Response
Supported Media Types
- application/json
200 Response
Returns the following fields:
Root Schema : Return
Type:
objectTitle:
Show Source
Return-
return:
integer(int32)
Returns the action's result.